This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478267 - ApacheDS service fails with NamingException error
ApacheDS service fails with NamingException error
Status: NEW
Product: penrose
Classification: Retired
Component: Configuration (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Whitehurst
Ben Levenson
:
Depends On:
Blocks: 480246
  Show dependency treegraph
 
Reported: 2008-12-27 03:13 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:13:18 EST
Installed a clean Penrose 2.0RC1. Disabled OpenDS, enabled ApacheDS on port 389 with no LDAPS support. Penrose startup fails with the following error in logs/error.log:

javax.naming.NamingException [Root exception is javax.naming.NamingException: OID for name 'caseExactMatch' was not found within the OID registry]
	at org.apache.directory.server.core.DefaultDirectoryService.initialize(DefaultDirectoryService.java:765)
	at org.apache.directory.server.core.DefaultDirectoryService.startup(DefaultDirectoryService.java:230)
	at org.apache.directory.server.core.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:118)
	at javax.naming.spi.NamingManager.getInitialContext(Unknown Source)
	at javax.naming.InitialContext.getDefaultInitCtx(Unknown Source)
	at javax.naming.InitialContext.init(Unknown Source)
	at javax.naming.InitialContext.<init>(Unknown Source)
	at javax.naming.directory.InitialDirContext.<init>(Unknown Source)
	at org.safehaus.penrose.apacheds.ApacheDSLDAPService.init(ApacheDSLDAPService.java:175)
	at org.safehaus.penrose.service.Service.init(Service.java:54)
	at org.safehaus.penrose.service.ServiceManager.startService(ServiceManager.java:113)
	at org.safehaus.penrose.server.PenroseServer.start(PenroseServer.java:114)
	at org.safehaus.penrose.server.PenroseServer.main(PenroseServer.java:301)
Caused by: javax.naming.NamingException: OID for name 'caseExactMatch' was not found within the OID registry
	at org.apache.directory.server.core.schema.bootstrap.BootstrapOidRegistry.getOid(BootstrapOidRegistry.java:102)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapMatchingRuleRegistry.lookup(BootstrapMatchingRuleRegistry.java:81)
	at org.apache.directory.server.core.schema.bootstrap.AbstractBootstrapProducer$BootstrapAttributeType.getEquality(AbstractBootstrapProducer.java:262)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.resolve(BootstrapRegistries.java:338)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.resolve(BootstrapRegistries.java:486)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.checkRefInteg(BootstrapRegistries.java:196)
	at org.apache.directory.server.core.DefaultDirectoryService.initialize(DefaultDirectoryService.java:762)
	... 12 more

Additional Comments From jrwilson@mindless.com dated Tue Jun 17 18:13:29 CDT 2008 
I tried using a JVM that is functioning properly with Penrose 1.1.2,  Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_11-b03) with Bouncy Castle 135. Installing this version of the JVM has no effect on the error encountered.

Additional Comments From jrwilson@mindless.com dated Wed Jun 18 16:28:16 CDT 2008 
I have now tried this configuration on both 32 and 64-bit environments with no change to the error conditions.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Configuration',
                              'id' => '10014'
                            }
                          ],
          'reporter' => 'jrwilson@mindless.com',
          'key' => 'PENROSE-302',
          'assignee' => 'jimyang',
          'summary' => 'ApacheDS service fails with NamingException error',
          'id' => '10999',
          'updated' => '2008-06-18 16:28:16.0',
          'votes' => '0',
          'fixVersions' => [],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2008-04-07 00:00:00.0',
                                 'sequence' => '28',
                                 'name' => 'Penrose-2.0RC1',
                                 'released' => 'true',
                                 'id' => '10093',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Installed a clean Penrose 2.0RC1. Disabled OpenDS, enabled ApacheDS on port 389 with no LDAPS support. Penrose startup fails with the following error in logs/error.log:

javax.naming.NamingException [Root exception is javax.naming.NamingException: OID for name 'caseExactMatch' was not found within the OID registry]
	at org.apache.directory.server.core.DefaultDirectoryService.initialize(DefaultDirectoryService.java:765)
	at org.apache.directory.server.core.DefaultDirectoryService.startup(DefaultDirectoryService.java:230)
	at org.apache.directory.server.core.jndi.AbstractContextFactory.getInitialContext(AbstractContextFactory.java:118)
	at javax.naming.spi.NamingManager.getInitialContext(Unknown Source)
	at javax.naming.InitialContext.getDefaultInitCtx(Unknown Source)
	at javax.naming.InitialContext.init(Unknown Source)
	at javax.naming.InitialContext.<init>(Unknown Source)
	at javax.naming.directory.InitialDirContext.<init>(Unknown Source)
	at org.safehaus.penrose.apacheds.ApacheDSLDAPService.init(ApacheDSLDAPService.java:175)
	at org.safehaus.penrose.service.Service.init(Service.java:54)
	at org.safehaus.penrose.service.ServiceManager.startService(ServiceManager.java:113)
	at org.safehaus.penrose.server.PenroseServer.start(PenroseServer.java:114)
	at org.safehaus.penrose.server.PenroseServer.main(PenroseServer.java:301)
Caused by: javax.naming.NamingException: OID for name 'caseExactMatch' was not found within the OID registry
	at org.apache.directory.server.core.schema.bootstrap.BootstrapOidRegistry.getOid(BootstrapOidRegistry.java:102)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapMatchingRuleRegistry.lookup(BootstrapMatchingRuleRegistry.java:81)
	at org.apache.directory.server.core.schema.bootstrap.AbstractBootstrapProducer$BootstrapAttributeType.getEquality(AbstractBootstrapProducer.java:262)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.resolve(BootstrapRegistries.java:338)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.resolve(BootstrapRegistries.java:486)
	at org.apache.directory.server.core.schema.bootstrap.BootstrapRegistries.checkRefInteg(BootstrapRegistries.java:196)
	at org.apache.directory.server.core.DefaultDirectoryService.initialize(DefaultDirectoryService.java:762)
	... 12 more
',
          'created' => '2008-06-17 17:29:26.0',
          'environment' => 'SUSE Enterprise, Bouncy Castle 139, Java 1.5.15 with Unlimited Strength jurisdiction policies installed',
          'type' => '1'
        };


=========================================================
Comment 1 Endi Sukma Dewata 2009-01-29 16:13:39 EST
ApacheDS is not officially supported in RHVD 2.0.

Note You need to log in before you can comment on or make changes to this bug.